export interface IFormItem {
  label: string;
  icon?: string;
  prop: string;
  type:
    // 内置类型--分组
    | "group"
    | "input"
    | "select"
    | "inputnumber"
    | "image"
    | "checkbox"
    | "radioGroup"
    // 背景选择
    | "backgroundSelect"
    // 边框选择
    | "boderSelect"
    // 边框圆角选择
    | "boderRadiusSelect"
    // 阴影选择
    | "shodowSelect"
    // 内边距选择
    | "paddingSelect"
    // 旋转选择
    | "rotateSelect"
    // 透明度选择
    | "opacitySelect"
    // 颜色选择
    | "colorSelect"
    // 配色方案
    | "colorScheme"
    // 字体样式
    | "fontStyle"
    // 位置
    | "position"
  options?: any[];
  prefix?: string;
  suffix?: string;
  rules?: any[];
  defaultValue?: any;
  // 分组表单项
  children?: IFormItem[];
}